# transfer.sh

This repository details the setup of a [transfer.sh](https://hub.docker.com/r/dutchcoders/transfer.sh) service, using docker with [traefik](https://hub.docker.com/_/traefik) to handle Let's Encrypt certificates, using a [DNS challenge](https://letsencrypt.org/docs/challenge-types/#dns-01-challenge). In order for this setup to work, your DNS server must be configured with a TSIG key for dynamic updates. See our [bind9](https://gitea.moeny.ai/moeny/bind9) repo for more info.

Also, note that the [`docker-compose.yaml`](docker-compose.yaml) uses environment variables for information on your TSIG key and DNS server. Make sure to copy [`deploy.env`](deploy.env) to `.env` and fill it with your own information. You'll also want to set up a user and password in here to use with the transfer.sh service.